## loudgain 0.6.8+ds

=== debian/changelog ===
loudgain (0.6.8+ds-3) unstable; urgency=medium

  * debian/control: Update Vcs-* repository URLs.
  * debian/copyright: Extend copyright to 2022.
  * debian/patches:
    - av_register_all.patch: Only call av_register_all() when linking against
      legacy versions of libavformat (Closes: #1004820).
    - cflags.patch: Don't override the build system's CFLAGS and CXXFLAGs.
    - manpage-apostrophe.patch: Remove duplicate header fields.
  * Remove debian/lintian-overrides (no longer needed).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 13 Feb 2022 22:00:03 +1100

loudgain (0.6.8+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove version constraints on build-dependencies unnecessary since Buster.

  [ Hugh McMaster ]
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/control:
    - Build-Depend on zlib1g-dev | libz-dev (Closes: #997233).
    - Raise Standards-Version to 4.6.0 from 4.5.0 (no changes needed).
  * debian/source/lintian-overrides: Silence a line-length warning in the
    upstream README.md file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 30 Oct 2021 20:11:44 +1100

loudgain (0.6.8+ds-1) unstable; urgency=medium

  * Initial release (Closes: #959795).
  * Add patch to print apostrophes instead of acute accents in loudgain.1.
  * Override two lintian warnings in the source and binary packages.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 04 Aug 2020 22:46:02 +1000
