=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: loudgain
 Section: sound
 Priority: optional
-Maintainer: Hugh McMaster <hmc@debian.org>
+Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -10,10 +10,10 @@
  libavutil-dev,
  libebur128-dev,
  libswresample-dev,
- libtag-dev,
- pkgconf,
+ libtag1-dev,
+ pkg-config,
  zlib1g-dev | libz-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Moonbase59/loudgain
 Vcs-Git: https://salsa.debian.org/hmc/loudgain.git
