=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
      repack, compression=xz, \
      dversionmangle=s/@DEB_EXT@//, \
      filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/loudgain-$1\.tar\.gz/" \
  https://github.com/Moonbase59/loudgain/tags .*/v?(\d\S+)\.tar\.gz
